#pragma once

class JsonDataMgr : public a8::Singleton<JsonDataMgr>
{
 private:
    JsonDataMgr() {};
    friend class a8::Singleton<JsonDataMgr>;

 public:
    void Init();
    void UnInit();

    std::shared_ptr<a8::XObject> GetConf();
    std::shared_ptr<a8::XObject> GetTargetServerClusterConf();

 private:
    a8::XObject wsproxyserver_cluster_json_;
    a8::XObject targetserver_cluster_json_;

};
